#include <allegro.h>
#include <stdio.h>

#include "mapedit.h"
#include "startup.h"

int DIGI_SOUND;
int DIGI_MIDI;

int do_config(void)
{
   int temp=0;
   char tmpkey;

   printf("\n%s version %s\n",PRJNAME,PRJVER);
   printf("Build Date: %s\n",PRJDATE);
   printf("\nWhat city do you want to edit? ");
   scanf("%s",&SelCity);
   printf("\nSound Configuration\n");
   printf("-------------------\n\n");
   printf("Digital Sound:\n");
   printf("1. Autodetect\n");
   printf("2. Sound Blaster\n");
   printf("3. Sound Blaster 16\n");
   printf("4. ESS Audiodrive\n");
   printf("5. Ensoniq Soundscape\n");
   printf("6. No Sound\n");
   printf("Your Choice? ");
   temp=0;
   while(temp==0)
   {
      tmpkey=getch();
      switch(tmpkey)
      {
      case '1':
         DIGI_SOUND=-1;
         temp=1;
         break;
      case '2':
         DIGI_SOUND=AL_ID('S','B',' ',' ');
         temp=1;
         break;
      case '3':
         DIGI_SOUND=AL_ID('S','B','1','6');
         temp=1;
         break;
      case '4':
         DIGI_SOUND=AL_ID('E','S','S',' ');
         temp=1;
         break;
      case '5':
         DIGI_SOUND=AL_ID('E','S','C',' ');
         temp=1;
         break;
      case '6':
         DIGI_SOUND=0;
         temp=1;
         break;
      }
   }
   printf("%c",tmpkey);      

}

int do_startup(void)
{
   int tempx,tempy;
   PALLETE pallete1;
   char temp;

   allegro_init();
   install_keyboard();
   install_mouse();
   install_timer();
   if (install_sound(DIGI_SOUND, MIDI_NONE, NULL) != 0)
   {
      printf("\n\nError initializing sound system\n%s\n", allegro_error);
      allegro_exit();
      exit(1);
   }
   printf("\n\nDigi driver: %s\n", digi_driver->name);
   printf("\nPress any key to continue");
   while(!keypressed());
   readkey();
   set_gfx_mode(GFX_AUTODETECT,320,200,0,0);
   set_color_depth(8);
   text_mode(-1);  // transparent text

   TGA_MapTiles=load_bitmap("GRAFIX\\MAPTILES.TGA",pallete1);
   TGA_Background=load_bitmap("GRAFIX\\BACKGRND.TGA",pallete1);
   TGA_TileSelect=load_bitmap("GRAFIX\\TILESEL.TGA",pallete1);

   return(0);
}
